MineMeld on Ubuntu 18.04

Reply
L0 Member

MineMeld on Ubuntu 18.04

Hi,

 

Is MineMeld supported on Ubuntu 18.04? There doesn't seem to be any documentation or mention of Ubuntu 18.04, we've ran into issues trying to set it up as we were trying to rely on the 16.04 guides but Ubuntu 18.04 has changed quite a bit from previous versions.

 

Are we going to have to drop to 16.04?

 

Any help would be appreciated.

 

Thanks

L1 Bithead

Re: MineMeld on Ubuntu 18.04

I'd be happy with the 16.04 guides, where did you find those? Everything I see says 14.04. I really don't want to set this up on trusty just to have to do it all over again in 6 months.

L2 Linker

Re: MineMeld on Ubuntu 18.04

I'm in complete agreement. Looking at building new instances and guidance and or clarity on OS support would be nice.

L4 Transporter

Re: MineMeld on Ubuntu 18.04

Hi @MoeJomha, @fwmike and @crimichigan,
 
If you follow the guide to install Minemeld on 16.04 with the use of the ansible playbook, then you can easily install Minemeld on 18.04 LTS, as I have just done.
 
You can find the link here:
https://github.com/PaloAltoNetworks/minemeld-ansible

 

Best regards,

Bo

Re: MineMeld on Ubuntu 18.04

Hi,

 

I could install Minemeld in Ubuntu 18.04 but I had a problem

 

https://github.com/PaloAltoNetworks/minemeld-ansible/issues/35

 

and fixed it.

 

I have a question. I can't run the command

 

/usr/sbin/minemeld-auto-update

File minemled-auto-update does not exists. then If I want to update Minemeld, how does I make it?

 

Thank you

L4 Transporter

Re: MineMeld on Ubuntu 18.04

Hi @Sistemas_SanLucar

 

I normally just run the playbook again.

 

Regards,

Bo Rising

Re: MineMeld on Ubuntu 18.04

Hi,

 

Forgive my ignorance on the subject. You mean to rerun the command:

ansible-playbook -K -i 127.0.0.1, local.yml

or I have to rerun some more additional command before.

 

 

Thank you

Highlighted
L4 Transporter

Re: MineMeld on Ubuntu 18.04

Just tried to run the ubuntu 16 ansible playbook instructions to install on Ubuntu server 18... no joy. fails immediately with TASK [infrastructure : include_vars] *********************************************************************************

fatal: [127.0.0.1]: FAILED! => {"msg": "No file was found when using with_first_found. Use the 'skip: true' option to allow this tasl to be skipped if no files are found"}

to retry, use: --limit @/root/minemeld-ansible/local.retry

 

I suspect that this may be an issue even when I try on Ubuntu 16 since the previously working CentOS7 used to work but now also gives me some other errors and fails now but will try a few things and see what I can get. 

 

L4 Transporter

Re: MineMeld on Ubuntu 18.04

Hi @hshawn@Sistemas_SanLucar,

 

I am really sorry, I totally forgot to tell you, that you needed to create some files specific for the 18.04 release.

 

I found the following pull request from cemasirt, which does exactly this. So, if you just create the files from the following link, in their corresponding paths, then I am sure that it works for you.

 

https://github.com/PaloAltoNetworks/minemeld-ansible/pull/43

 

 

PS.: Remember to use the @ otherwise I am not sure that I get an email, that you have asked me or replied to my posts :)

Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the Live Community as a whole!

The Live Community thanks you for your participation!